<?php
require_once "nusoap/lib/nusoap.php";
include '../conexion/conn.php';


$rs3 = mysql_query("SELECT * FROM sys_detalle_cliente_programas WHERE cliente_id='RB' AND programa_id='1'");
while($row3 = mysql_fetch_array($rs3)){
	$link_sincro_a_tablet=$row3['link_sincro_a_tablet'];
}

$cliente_web = new nusoap_client($link_sincro_a_tablet);

$archivo_array=array();
$archivo_bruto=array();
		
		
		$archivo_array=$cliente_web->call("buscar_archivo_nuevo_conte");	
		
		if($archivo_array!=NULL){
			foreach($archivo_array as $item){
				
				$destino =  $item['link_guardado']; 
				$id =  $item['id']; 

			    //$archivo = $item['archivo']; // Datos binarios de la imagen.


				$archivo_bruto=$cliente_web->call("buscar_archivo_bruto_conte" , array("id"=>$id));
				$archivo_bruto = base64_decode($archivo_bruto);

			    
			    $name=  $item['nombre_archivo'];
			    // Mandamos las cabeceras al navegador indicando el tipo de datos que vamos a enviar.
			    if($destino==""){
			        $name2 = $name;
			    }else{
			        $name2 = $destino.'/'.$name;
			    }
			    //header("Content-type: $tipo");
			    // A continuación enviamos el contenido binario de la imagen.
			    //move_uploaded_file ($imagen, $destino . '/' .$name.'.jpg');
			    //echo $imagen;
			    if(!is_dir($destino)) 
        		mkdir($destino, 0777);
			     
			   $miArchivo = fopen($name2, "w") or die("No se puede abrir/crear el archivo!");
			 
			 
			fwrite($miArchivo, $archivo_bruto);//mensaje
			fclose($miArchivo);
			echo $name." - - Creado Actualizado con exito <br/>";
			}	
			
		}else{
			echo "No hay Archivos Nuevos<br/>";
		}
		

?>
